Package com.dropbox.core.v2.sharing
Class DbxUserGetSharedLinkFileBuilder
java.lang.Object
com.dropbox.core.v2.DbxDownloadStyleBuilder<SharedLinkMetadata>
com.dropbox.core.v2.sharing.DbxUserGetSharedLinkFileBuilder
The request builder returned by
DbxUserSharingRequests.getSharedLinkFileBuilder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the download request using this builder's request parameters and returns aDbxDownloaderfor reading the response body.withLinkPassword(String linkPassword) Set value for optional field.Set value for optional field.Methods inherited from class com.dropbox.core.v2.DbxDownloadStyleBuilder
download, getHeaders, range, range
-
Method Details
-
withPath
Set value for optional field.- Parameters:
path- If the shared link is to a folder, this parameter can be used to retrieve the metadata for a specific file or sub-folder in this folder. A relative path should be used. Must match pattern "/(.|[\\r\\n])*".- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withLinkPassword
Set value for optional field.- Parameters:
linkPassword- If the shared link has a password, this parameter can be used.- Returns:
- this builder
-
start
public DbxDownloader<SharedLinkMetadata> start() throws GetSharedLinkFileErrorException, DbxExceptionDescription copied from class:DbxDownloadStyleBuilderIssues the download request using this builder's request parameters and returns aDbxDownloaderfor reading the response body. Callers should fully read the response body usingDbxDownloader.getInputStream()and close the downloader afterwards (seeDbxDownloader.close()). This will allow for proper resource deallocation and connection re-use.. SeeDbxDownloadStyleBuilder.download(java.io.OutputStream)convenience method for a simpler way to complete the request.- Specified by:
startin classDbxDownloadStyleBuilder<SharedLinkMetadata>- Returns:
DbxDownloaderused to download data and read the response.- Throws:
DbxException- if an error occursing issuing the requestGetSharedLinkFileErrorException
-